#include <iostream>

int main()
{
    int a1, a2, b1, b2, deltaA, deltaB;

    std::cin >> a1 >> b1;
    std::cin >> a2 >> b2;
    deltaA = a1 - a2;
    deltaB = b1 - b2;

    if(deltaA > 0 && deltaB > 0)
        std::cout << "?";
    if(deltaA > 0 && deltaB == 0)
        std::cout << "prvi";
    if(deltaA == 0 && deltaB > 0)
        std::cout << "drugi";
    if(deltaA == 0 && deltaB == 0)
        std::cout << "nijedan";

    return 0;
}